## shopper 0.5.8beta1

=== debian/changelog ===
shopper (0.5.8beta1) unstable; urgency=low

  * Start to PR1.2-ise it...

 -- David Greaves <david@dgreaves.com>  Sat, 05 Jun 2010 21:03:36 +0100

shopper (0.5.7) unstable; urgency=low

  * Removed notify/toolbar icon
  * Fixed moving items from one category to another.
  * Item dialog shows correct category in dropdown
  * Fixed sort order of items
  * Allow deletion of active category
  * Switch to new category when added
  * Ensure dropdown shows current category when adding new item

 -- David Greaves <david@dgreaves.com>  Sat, 14 Mar 2009 23:49:43 +0000

shopper (0.5.6) unstable; urgency=low

  * Added support for landscape/portrait rotation - see http://wiki.maemo.org/Rotation to enable it
  * Increased icon size to be more finger friendly, also adjusted scrolling to 'stick to paper' for pelago
  * Added finger scrolling to the category manager
  * Some improvements in scaling the fonts
  * Gui tweaks: added strikeout when out shopping and notes boxes have lines
  * Fixed QVariant bug spotted by Andrew Olmsted <andrew.olmsted@gmail.com>
  * Added basic website and some help text to garage
  * Lots of code tidying by Erik Hovland  <erik@hovland.org>
  
 -- David Greaves <david@dgreaves.com>  Sat, 07 Mar 2009 23:44:06 +0000

shopper (0.5.5) unstable; urgency=low

  * Ensure upgrade description shows up.

 -- David Greaves <david@dgreaves.com>  Fri, 06 Mar 2009 10:15:57 +0000

shopper (0.5.4) unstable; urgency=low

  * Fixed crash when zooming and scrollbar goes away

 -- David Greaves <david@dgreaves.com>  Fri, 06 Mar 2009 00:21:25 +0000

shopper (0.5.3) unstable; urgency=low

  * Adding new category now shows and selects newly added category
  * Reduced un-needed signals
  * Undefined debugging in most files
  * Tweaked setting focus when adding a category
  * Changed update() to updateVisibility() to avoid overridding Qt methods
  * Implemented zooming to scale text
  * Mainwindow appears immediately with a loading message
  * Fixed the timer hack in CategoryDialog
  * Added some colour
  * Category headings scroll
  * Scroll area stays in same place when scaling
  * Colors done in C++, not stylesheets (for speed)
  * Fixed gesture issue
  * Finger scrolling feel improved a lot
  
 -- David Greaves <david@dgreaves.com>  Fri, 06 Mar 2009 00:01:47 +0000

shopper (0.5.2) unstable; urgency=low

  * Refactored shopperList to List/Category/Item
  * Refactored shopperView to ListView/CategoryView/ItemView
  * ListView is now a heirarchy
  * Changed shopper icon to have some whitespace/border (fixes bug#4154)
  * Added XB-Maemo-Display-Name: Shopper to the debian/control file : Fixes #4152
  * Add XB-Maemo-Icon-26: section with uuencoded 26x26 png to the debian/control
    file : Fixes #4153
  * Moved List state handling into the data space to allow consistent behaviour.
  * fixed a bug in tick visibility after widget heirarchy re-org - use update() consistently
  * Began improving preference handling
  * Preferences now take effect at once

 -- David Greaves <david@dgreaves.com>  Sun, 01 Mar 2009 00:10:35 +0000

shopper (0.5.1) unstable; urgency=low

  * Fixed "Open dialogue only shows xml files" for GA.
  * Removed gestures on the Item Dialog until they're tested more
  * Converted Event playback to use QPointers to avoid sending to deleted QWidgets - fixes sporadic crash on delete I hope

 -- David Greaves <david@dgreaves.com>  Tue, 24 Feb 2009 20:41:42 +0000

shopper (0.5) unstable; urgency=low

  * Functional Qt version
  * Added Finger scrolling and gestures

 -- David Greaves <david@dgreaves.com>  Thu, 19 Feb 2009 22:09:44 +0000

shopper (0.4) unstable; urgency=low

  * Based on qt example
  * Empty application

 -- David Greaves <david@dgreaves.com>  Mon, 19 Jan 2009 16:52:21 +0000
