=== debian/changelog ===
shopper (0.5.8beta2) unstable; urgency=low

  * Start to PR1.2-ise it...

 -- David Greaves <david@dgreaves.com>  Sat, 05 Jun 2010 21:03:36 +0100
