## shopper 0.5.9

=== debian/changelog ===
shopper (0.5.9) unstable; urgency=low

  * The "oh yes, 0.5.8beta2 is higher than 0.5.8" version
  * Notes now appear as text in brackets
  * Use red arrows instead of media icons
  * When cycling categories, only show those with something in them to display
  * Added version string and bug tinyurl to About. Closes #4266.
  * Ensure category being edited is always visible. Fixes #4714
  * Allow last category to be deleted. Fixes #4715
  * Use Qt XML writer. Hopefully closes #4267
  * Fixed icon transparency. Fixes #4903
  * Added Cosmin Mogos' "import" feature - thanks and sorry it took a while
 
 -- David Greaves <david@dgreaves.com>  Mon, 07 Jun 2010 17:10:28 +0100
  

shopper (0.5.8) unstable; urgency=low

  * Ready for N900
  * Selection by left->right or right->left swipe
  * Editing by left->right->left or right->left->right swipe
  * Making list now allows all notes to be cleared
  * Rotation changes to simpler UI
  * Lots of other tweaks
  * Sample list has some hints+tips

 -- David Greaves <david@dgreaves.com>  Mon, 07 Jun 2010 10:01:13 +0100
