## shopper 0.5.9-1

=== debian/changelog ===
shopper (0.5.9-1) unstable; urgency=low

  * Fixing test-automation bugs... XSBC-Bugtracker

 -- David Greaves <david@dgreaves.com>  Mon, 07 Jun 2010 17:51:27 +0100
