=== debian/control ===
Source: shopper
Section: user/office
Priority: optional
Maintainer: David Greaves <david@dgreaves.com>
Build-Depends: debhelper (>= 5), libqt4-dev, libxrandr-dev
Standards-Version: 3.7.2

Package: shopper
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, hildon-application-manager
Description: Shopping List application
 Provides a shopping list with categories and a UI that's useful
 whilst shopping.  The list can be scrolled using your fingers and the
 items are crossed of the list with a left-right scribbling gesture. 
 Zooming is now supported so the items are easier to select for those of
 us with pudgy (sorry, "manly") fingers...
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABHNCSVQICAgI
 fAhkiAAAAAlwSFlzAAAAkAAAAJABhkKK/QAAABl0RVh0U29mdHdhcmUAd3d3
 Lmlua3NjYXBlLm9yZ5vuPBoAAANwSURBVEiJvZbdaxxlFMZ/592PZje7IW2S
 WsyHVVqxFC29adFsQAWLF+KF/glJitakFHtvciEIvakmUWnMpXghVFRKRFBL
 Y7dNtqFGsaLiRcG0UNtY8zmzszPneJFEVrubxJL2gWFgnsPzm3Pel5lXzIz7
 IXdfKEAcINd5ImtSu78YS1ycPHW4dC9Ayx251Fsidi6lwfe5zoFn7h1I3Bjg
 GezBuW86ugff22yQrG6GJ199e2esFH8H4UUAE7c/P3xkatNBq8p1D/0I7DXh
 aH64Z7Dce+r1k6loJpmuiUm6lNDaOJI2JK1hlI6JpNVZrUHaIWlTSSOWSrjk
 wNlTh2/FK8C/BfaK2pu57qHjQHr1ciTEJY0IwykoBhjiBF0eAwLYcgsKuJIF
 W4HeO0AGeYFXTCSjoT+KRb6a8yD0VNU3xXOEvql6EaFnUeSHFvpRyfdNoqWw
 OO+HYeBHshS2tT1/GZXrsLK9y6Xx8HwsjCPgZv3rH8/7N66V+4mqi7By3wKy
 JZHcWrt7F5BA9JeKoIvvH7va0TX4l4nUZ7M7no2yfFYtey0laHoMA8RVBgGY
 kwLGobjU5FINTWfvBhSfTe0mQOtq9LeqIFFGTTgkxHYlGx+ouxtQbL74sBH9
 PjrQW6wKUufOiSmoZdKp+gfJJBc2Ei5BlIxuLbQxW3zIAn3csPFVryLoQvPN
 H9qnGwIgyVywJ9ZYd+W/NWYqdnNpu/651Gpzfpt6xWYLoh1iOMDAfjXl5D8v
 Ue030dE1NGXCPjLxSX00+wmLmpW5oFW8sAVPWwm0GbMallNvCDaOuQkHhcDX
 S+Mf9s6V51XsCICYfYXKPhZKT8h3tx8RY9uKs2jCpIPTKhQis4nxD3qnq+as
 C1I5AxzHXALTTwXyihUutN7+yfr6dL3gDYM8lyzUaFBCLBEz99HYyGtf/9/w
 clVdI4CO7qEJgwMYEwg/bzjVxMzZmfxwz+nVR9VHBxh8CRxAOAgc3DBIDDF7
 AdgYKN8y099+bZtZZMfEScaQPMblKulZiF4WJINjTDR24t/sdU5B7d1DfQL9
 839cJdPUNp8fOVrxS5HrevcNQ/sXZ6altqFlNj/SW1/ur9kRgAgFDLLbdwI2
 UbXQ2ZSYSKaxFbBLd9jrgc4P93zhxJ4Ws07Ue2mNus9F7DlDjlSqW3d0m6W/
 AQXRkTEAYlIsAAAAAElFTkSuQmCC
XB-Maemo-Display-Name: Shopper
XSBC-Bugtracker: https://bugs.maemo.org/
XB-Maemo-Upgrade-Description: Added support for landscape/portrait rotation;
 Increased icon size to be more finger friendly, also adjusted scrolling to 'stick to paper';
 Added finger scrolling to the category manager;
 Strikeout when out shopping and notes boxes have lines;
 Removed notify/toolbar icon; Items now appear in sorted order.
 Help on the website:
        http://shopper.garage.maemo.org/
