## shopper 0.5.9-2

=== debian/changelog ===
shopper (0.5.9-2) unstable; urgency=low

  * Update to fix -testing feedback
  * About/Help has links to online help
  * New only shows first time it's used
  * Fixed /opt path for icons
  * added Erik Hovland's cleanups - thanks

 -- David Greaves <david@dgreaves.com>  Tue, 08 Jun 2010 18:22:58 +0100
