## shopper 0.5.10

=== debian/changelog ===
shopper (0.5.10) unstable; urgency=low

  * Release for Extras
  * Ported to N900 with lots of UI tweaks to make it fit the phone
  * Autorotation, more reliable gestures and simple theme
  * Shopper now handles international characters - you can buy Mjölk! (Closes #10624)
  * Extensive update to help text
  * Added Erik Hovland's code cleanups
  * Added "Import list" feature from Cosmin Mogos

 -- David Greaves <david@dgreaves.com>  Fri, 11 Jun 2010 22:06:57 +0100
