=== debian/control ===
--- 
+++ 
@@ -11,9 +11,7 @@
 Description: Shopping List application
  Provides a shopping list with categories and a UI that's useful
  whilst shopping.  The list can be scrolled using your fingers and the
- items are crossed of the list with a left-right scribbling gesture. 
- Zooming is now supported so the items are easier to select for those of
- us with pudgy (sorry, "manly") fingers...
+ items are crossed of the list with a left->right scribbling gesture.
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABHNCSVQICAgI
  fAhkiAAAAAlwSFlzAAAAkAAAAJABhkKK/QAAABl0RVh0U29mdHdhcmUAd3d3
@@ -42,7 +40,6 @@
 XSBC-Bugtracker: https://bugs.maemo.org/
 XB-Maemo-Upgrade-Description: Added support for landscape/portrait rotation;
  Increased icon size to be more finger friendly, also adjusted scrolling to 'stick to paper';
- Added finger scrolling to the category manager;
  Strikeout when out shopping and notes boxes have lines;
  Removed notify/toolbar icon; Items now appear in sorted order.
  Help on the website:
