## shopper 0.5.12

=== Makefile ===
#############################################################################
# Makefile for building: shopper
# Generated by qmake (2.01a) (Qt 4.5.3) on: Sat Nov 28 17:15:03 2009
# Project:  shopper.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile shopper.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DSHOPPER_VERSION=0.5.7 -DQT_DBUS_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -O0 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -g -g -O0 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-gles2 -I. -I/targets/FREMANTLE_ARMEL/usr/include/qt4/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/qt4/QtGui -I/targets/FREMANTLE_ARMEL/usr/include/qt4/QtXml -I/targets/FREMANTLE_ARMEL/usr/include/qt4/QtDBus -I/targets/FREMANTLE_ARMEL/usr/include/qt4 -I. -Isrc -Isrc/ui -I.
LINK          = g++
LFLAGS        = 
LIBS          = $(SUBLIBS)  -L/usr/lib -Wl,-rpath-link=/usr/lib -lXrandr -lQtDBus -lQtXml -lQtGui -lQtCore -lpthread
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = src/CatListModel.cc \
		src/main.cc \
		src/Item.cc \
		src/Category.cc \
		src/List.cc \
		src/xmlList.cc \
		src/ui/CategoryDialog.cc \
		src/ui/ItemDialog.cc \
		src/ui/PreferencesDialog.cc \
		src/ui/LabelEntry.cc \
		src/ui/ActiveLabel.cc \
		src/ui/NoteWidget.cc \
		src/ui/mainwindow.cc \
		src/ui/notify.cc \
		src/ui/ItemView.cc \
		src/ui/CategoryView.cc \
		src/ui/ListView.cc \
		src/ui/QFingerScrollArea.cc \
		src/ui/Gesture.cc \
		src/ui/GestureWatcher.cc \
		src/ui/GestureReader.cc \
		src/ui/QOrientationCapability/qorientationcapability.cpp moc_CatListModel.cpp \
		moc_Item.cpp \
		moc_Category.cpp \
		moc_List.cpp \
		moc_CategoryDialog.cpp \
		moc_ItemDialog.cpp \
		moc_PreferencesDialog.cpp \
		moc_LabelEntry.cpp \
		moc_ActiveLabel.cpp \
		moc_NoteWidget.cpp \
		moc_mainwindow.cpp \
		moc_notify.cpp \
		moc_ItemView.cpp \
		moc_CategoryView.cpp \
		moc_ListView.cpp \
		moc_QFingerScrollArea.cpp \
		moc_Gesture.cpp \
		moc_qorientationcapability.cpp
OBJECTS       = CatListModel.o \
		main.o \
		Item.o \
		Category.o \
		List.o \
		xmlList.o \
		CategoryDialog.o \
		ItemDialog.o \
		PreferencesDialog.o \
		LabelEntry.o \
		ActiveLabel.o \
		NoteWidget.o \
		mainwindow.o \
		notify.o \
		ItemView.o \
		CategoryView.o \
		ListView.o \
		QFingerScrollArea.o \
		Gesture.o \
		GestureWatcher.o \
		GestureReader.o \
		qorientationcapability.o \
		moc_CatListModel.o \
		moc_Item.o \
		moc_Category.o \
		moc_List.o \
		moc_CategoryDialog.o \
		moc_ItemDialog.o \
		moc_PreferencesDialog.o \
		moc_LabelEntry.o \
		moc_ActiveLabel.o \
		moc_NoteWidget.o \
		moc_mainwindow.o \
		moc_notify.o \
		moc_ItemView.o \
		moc_CategoryView.o \
		moc_ListView.o \
		moc_QFingerScrollArea.o \
		moc_Gesture.o \
		moc_qorientationcapability.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/debug.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		shopper.pro
QMAKE_TARGET  = shopper
DESTDIR       = 
TARGET        = shopper

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: shopper.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-gles2/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/debug.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile shopper.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/debug.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusinterfaces.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusadaptors.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile shopper.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/shopper1.0.0 || $(MKDIR) .tmp/shopper1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/shopper1.0.0/ && $(COPY_FILE) --parents src/CatListModel.h src/shopper.h src/shopperList.h src/Item.h src/Category.h src/List.h src/ui/CategoryDialog.h src/ui/ItemDialog.h src/ui/PreferencesDialog.h src/ui/LabelEntry.h src/ui/ActiveLabel.h src/ui/NoteWidget.h src/ui/mainwindow.h src/ui/notify.h src/ui/ItemView.h src/ui/CategoryView.h src/ui/ListView.h src/ui/QFingerScrollArea.h src/ui/Gesture.h src/ui/GestureWatcher.h src/ui/GestureReader.h src/ui/QOrientationCapability/qorientationcapability.h src/ui/QOrientationCapability/QOrientationCapability_global.h .tmp/shopper1.0.0/ && $(COPY_FILE) --parents src/CatListModel.cc src/main.cc src/Item.cc src/Category.cc src/List.cc src/xmlList.cc src/ui/CategoryDialog.cc src/ui/ItemDialog.cc src/ui/PreferencesDialog.cc src/ui/LabelEntry.cc src/ui/ActiveLabel.cc src/ui/NoteWidget.cc src/ui/mainwindow.cc src/ui/notify.cc src/ui/ItemView.cc src/ui/CategoryView.cc src/ui/ListView.cc src/ui/QFingerScrollArea.cc src/ui/Gesture.cc src/ui/GestureWatcher.cc src/ui/GestureReader.cc src/ui/QOrientationCapability/qorientationcapability.cpp .tmp/shopper1.0.0/ && (cd `dirname .tmp/shopper1.0.0` && $(TAR) shopper1.0.0.tar shopper1.0.0 && $(COMPRESS) shopper1.0.0.tar) && $(MOVE) `dirname .tmp/shopper1.0.0`/shopper1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/shopper1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_CatListModel.cpp moc_Item.cpp moc_Category.cpp moc_List.cpp moc_CategoryDialog.cpp moc_ItemDialog.cpp moc_PreferencesDialog.cpp moc_LabelEntry.cpp moc_ActiveLabel.cpp moc_NoteWidget.cpp moc_mainwindow.cpp moc_notify.cpp moc_ItemView.cpp moc_CategoryView.cpp moc_ListView.cpp moc_QFingerScrollArea.cpp moc_Gesture.cpp moc_qorientationcapability.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_CatListModel.cpp moc_Item.cpp moc_Category.cpp moc_List.cpp moc_CategoryDialog.cpp moc_ItemDialog.cpp moc_PreferencesDialog.cpp moc_LabelEntry.cpp moc_ActiveLabel.cpp moc_NoteWidget.cpp moc_mainwindow.cpp moc_notify.cpp moc_ItemView.cpp moc_CategoryView.cpp moc_ListView.cpp moc_QFingerScrollArea.cpp moc_Gesture.cpp moc_qorientationcapability.cpp
moc_CatListModel.cpp: src/shopperList.h \
		src/Item.h \
		src/Category.h \
		src/List.h \
		src/CatListModel.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/CatListModel.h -o moc_CatListModel.cpp

moc_Item.cpp: src/Item.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/Item.h -o moc_Item.cpp

moc_Category.cpp: src/Category.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/Category.h -o moc_Category.cpp

moc_List.cpp: src/List.h
	/usr/bin/moc $(DEFINES) $(INCPATH) src/List.h -o moc_List.cpp

moc_CategoryDialog.cpp: src/shopperList.h \
		src/Item.h \
		src/Category.h \
		src/List.h \
