=== debian/changelog ===
shopper (0.5.12) unstable; urgency=low

  * Handles bad input XML now
  * Native File dialogs in Qt are buggy (not modal) so implemented simple
    exlusions. Also used class methods properly.
  * Disable editing category list when adding an item
  * Don't allow last category to be deleted
  * When current category is renamed, update the combo box
  * Fix category dialog spacing and up/down buttons
  * Stop toolbars being movable

 -- David Greaves <david@dgreaves.com>  Sat, 26 Jun 2010 18:37:57 +0100
