=== debian/control ===
--- 
+++ 
@@ -38,9 +38,7 @@
  AQXRkTEAYlIsAAAAAElFTkSuQmCC
 XB-Maemo-Display-Name: Shopper
 XSBC-Bugtracker: https://bugs.maemo.org/
-XB-Maemo-Upgrade-Description: Added support for landscape/portrait rotation;
- Increased icon size to be more finger friendly, also adjusted scrolling to 'stick to paper';
- Strikeout when out shopping and notes boxes have lines;
- Removed notify/toolbar icon; Items now appear in sorted order.
+XB-Maemo-Upgrade-Description: N900 version of Shopper.
+ Has gestures, import, multiple list support.
  Help on the website:
         http://shopper.garage.maemo.org/
