## shopper 0.5.13

=== debian/changelog ===
shopper (0.5.13) unstable; urgency=low

  * Fixes #11003 "Shopper don't save list when exiting application"

 -- David Greaves <david@dgreaves.com>  Sat, 12 Mar 2011 12:19:01 +0000
