=== debian/control ===
--- 
+++ 
@@ -37,7 +37,7 @@
  UbXQ2ZSYSKaxFbBLd9jrgc4P93zhxJ4Ws07Ue2mNus9F7DlDjlSqW3d0m6W/
  AQXRkTEAYlIsAAAAAElFTkSuQmCC
 XB-Maemo-Display-Name: Shopper
-XSBC-Bugtracker: https://bugs.maemo.org/
+XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=Shopper
 XB-Maemo-Upgrade-Description: N900 version of Shopper.
  Has gestures, import, multiple list support.
  Help on the website:
