## shopper 0.5.13-1

=== debian/changelog ===
shopper (0.5.13-1) unstable; urgency=low

  * Fixes #12059 "After shopper update it no longer opens"

 -- David Greaves <david@dgreaves.com>  Tue, 15 Mar 2011 17:07:21 +0000
